Přihlásit | Registrovat
: [1]
   |   
: wine - gecko  ( 5966 )
Sonic X
Sr. Member
****

Karma: -8
: 374


276224191
« : October 28, 2011, 01:51:49 »

Zdravím, snažím se nainstalovat nejnovější wine odtud  http://sourceforge.net/projects/wine/files/Mandriva%20Packages/ a píše mi to že to nelze z důvodu nesplněného wine-gecko[>= 1.1.0]. Tak jsem tedy přešel sem http://wiki.winehq.org/Gecko Stáhnul jsem soubor wine_gecko-1.3-x86.msi pak v /usr/share/wine/ vytvořil složku gecko a soubor tam přesunul. Ovšem nechápu co dál, jelikož když se znova pokusím instalovat wine z tradičního .rpm tak to hodí stejnou hlášku. V repozitářích tento wine nemám..
Díky

MNV Linux 2009.1 Spring
GPU nVidia GeForce2 MX/MX 400
CPU ‎AMD Athlon(TM) XP 2800+
2x512MB RAM

Nejčastější chyba na Linuxu je chyba 909 - selhání mezi klávesnicí a židlí..
Hobil
Hero Member
*****

Karma: 58
: 4 006


« #1 : October 28, 2011, 08:40:17 »

spatny postup.
soubory *.msi jsou instalacni soubory pro wokna, viz http://filext.com/file-extension/MSI
Takze prislusny soubor musis z toho instalatoru dostat ven a ten pak pouzit. Domnivam se, ze tam nebude sam a proto po odstraneni soucasne chybove hlasky vyskoci jina o nejake chybejici knihovne ci souboru.
Obavam se, ze nezbyva nez pockat.
H.

Benzínem se nemá hasit ohniště
teď už je to jedno, ale pro příště... (K.P.)
Sonic X
Sr. Member
****

Karma: -8
: 374


276224191
« #2 : October 29, 2011, 16:19:45 »

Zvláštní, nenapadlo by mě, že při instalaci linuxového wine se vyskytne soubor pro wokna.. To s tím souborem .tar.bz2 by nešlo?

Nejčastější chyba na Linuxu je chyba 909 - selhání mezi klávesnicí a židlí..
lukas.v
Full Member
***

Karma: 2
: 145


« #3 : October 29, 2011, 18:53:06 »

Prvně nainstaluj wine-gecko-1.1.0-1mdv.i586.rpm. Máš ho mezi balíky na stránce, kterou uvádíš a splňuje ti podmínku wine-gecko[>=1.1.0]. (Tenhle balík obsahuje soubor wine_gecko-1.1.0-x86.cab).
Tím se splní závislost balíku wine.

Jestli chceš mít nejnovější wine-gecko, tak si ho až po instalaci obou balíků můžeš stáhnout (nejlíp do složky /usr/share/wine/gecko, kterou uvádíš) a poté i spustit jako obyčejný windowsovský program (sice mně se nic neobjevilo, ale wine-gecko se tímto spuštěním rozbalilo tam, kam mělo: ~/.wine/drive_c/windows/system32/gecko/1.3/wine_gecko).

Ale, co jde taky, můžeš si místo toho všeho udělat svůj vlastní balík, který bude obsahovat wine-gecko verzi 1.3 a nainstalovat. A tím taky podle mně splníš závislost balíku wine na wine-gecko.  
« : November 01, 2011, 12:47:28 lukas.v »

PC: 1.6GHz, 2GB RAM, 250GB HDD; Mageia 1 - 64bit; KDE 4.6.5
Netbook - Asus Eee 1000H: 1.6 GHz, 2GB RAM, 160 GB HDD; Debian Squeeze 32bit, KDE 4.4.5; Windows XP SP3
Peťoš
Global Moderator
Hero Member
*****

Karma: 188
: 6 712



« #4 : October 29, 2011, 21:04:19 »

Nainstaluj si novou verzi Mandrivy nebo Mageiu, tam uz to bude aktualizovane a OK. Takto si udelas jen bordel v systemu...

Do it or do not. There is no "try".

Peťošův repozitář je na adrese: http://petos.cz/rpms
Fotoblog: http://vzducholode.blogspot.com a http://petos.cz/category/fotky
Sonic X
Sr. Member
****

Karma: -8
: 374


276224191
« #5 : October 31, 2011, 19:34:48 »

Nainstaluj si novou verzi Mandrivy nebo Mageiu, tam uz to bude aktualizovane a OK. Takto si udelas jen bordel v systemu...

Tuhle verzi budu ještě nějakej měsíc potřebovat, pač mám tu rozpracovaná videa, pak pujde pryč. Wine potřebuji, tak to takhle zkusím ono už větší bordel ani udělat nemůžu..

Nejčastější chyba na Linuxu je chyba 909 - selhání mezi klávesnicí a židlí..
: [1]
   |   
 
: